<?php

include "authenticatie.php";

// Toevoegen
if( isset( $_GET['ADD'] ) && ereg('^[1-9][0-9]*$', $_GET['aantal'])) {
$_SESSION['winkelwagen'][$_GET['ID']] = $_GET['aantal'];
}
// Verwijderen
if( isset( $_GET['DEL'] ) ) {
unset($_SESSION['winkelwagen'][$_GET['ID']]);
}
// Alles verwijderen
if( isset( $_GET['EMP'] ) ) {
unset($_SESSION['winkelwagen']);
}
// Laat lijst zien
if( isset( $_SESSION['winkelwagen'] ) ) {
foreach ( $_SESSION['winkelwagen'] as $key=>$val ) {
echo "$val x $key<br>";
}
}
?>
<form>
Product:
<input type="text" name="ID"><br>
Aantal:
<input type="text" name="aantal"><br>
<input type="submit" name="ADD" value="Toevoegen">
<input type="submit" name="DEL" value="Verwijderen">
<input type="submit" name="EMP" value="Legen">
</form>
